Package fr.gouv.vitam.worker.core.utils

# Class PluginHelper

java.lang.Object
fr.gouv.vitam.worker.core.utils.PluginHelper

public class PluginHelper extends Object
Basic helper methods for reclassification plugins

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PluginHelper.EventDetails`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<ItemStatus>`
  `buildBulkItemStatus(WorkerParameters param, String action, StatusCode statusCode)`
  `static <TEventDetails>
  List<ItemStatus>`
  `buildBulkItemStatus(WorkerParameters param, String action, StatusCode statusCode, TEventDetails eventDetails)`
  `static ItemStatus`
  `buildItemStatus(String action, StatusCode statusCode)`
  `static <TEventDetails>
  ItemStatus`
  `buildItemStatus(String action, StatusCode statusCode, TEventDetails eventDetails)`
  `static <T> ItemStatus`
  `buildItemStatusSubItems(String itemId, Stream<String> subItemIds, StatusCode statusCode, T eventDetails)`
  `static <TEventDetails>
  ItemStatus`
  `buildItemStatusWithMasterData(String action, StatusCode statusCode, TEventDetails eventDetails, Object masterDataValue)`
  `static ItemStatus`
  `buildItemStatusWithMessage(String action, StatusCode statusCode, String message)`
  `static <TEventDetails>
  LogbookLifeCycleUnitParameters`
  `createParameters(GUID eventIdentifierProcess, StatusCode logbookOutcome, GUID objectIdentifier, String action, TEventDetails eventDetails, LogbookTypeProcess logbookTypeProcess)`
  `static InputStream`
  `createUnitsByGotFile(MetaDataClient metaDataClient, DeleteGotVersionsRequest deleteGotVersionsRequest, HandlerIO handler)`
  `static com.fasterxml.jackson.databind.node.ObjectNode`
  `eventDetails(Throwable e)`
  `static Map<String,ObjectGroupResponse>`
  `getObjectGroups(String[] gotIds, MetaDataClient metadataClient)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### buildItemStatus

    public static ItemStatus buildItemStatus(String action, StatusCode statusCode)

  - ### buildItemStatus

    public static <TEventDetails> ItemStatus buildItemStatus(String action, StatusCode statusCode, TEventDetails eventDetails)

  - ### buildItemStatusWithMessage

    public static ItemStatus buildItemStatusWithMessage(String action, StatusCode statusCode, String message)

  - ### buildItemStatusWithMasterData

    public static <TEventDetails> ItemStatus buildItemStatusWithMasterData(String action, StatusCode statusCode, TEventDetails eventDetails, Object masterDataValue)

  - ### buildItemStatusSubItems

    public static <T> ItemStatus buildItemStatusSubItems(String itemId, Stream<String> subItemIds, StatusCode statusCode, T eventDetails)

  - ### eventDetails

    public static com.fasterxml.jackson.databind.node.ObjectNode eventDetails(Throwable e)

  - ### buildBulkItemStatus

    public static List<ItemStatus> buildBulkItemStatus(WorkerParameters param, String action, StatusCode statusCode)

  - ### buildBulkItemStatus

    public static <TEventDetails> List<ItemStatus> buildBulkItemStatus(WorkerParameters param, String action, StatusCode statusCode, TEventDetails eventDetails)

  - ### createParameters

    public static <TEventDetails> LogbookLifeCycleUnitParameters createParameters(GUID eventIdentifierProcess, StatusCode logbookOutcome, GUID objectIdentifier, String action, TEventDetails eventDetails, LogbookTypeProcess logbookTypeProcess)

  - ### createUnitsByGotFile

    public static InputStream createUnitsByGotFile(MetaDataClient metaDataClient, DeleteGotVersionsRequest deleteGotVersionsRequest, HandlerIO handler) throws VitamException
    Throws:
      `VitamException`

  - ### getObjectGroups

    public static Map<String,ObjectGroupResponse> getObjectGroups(String[] gotIds, MetaDataClient metadataClient) throws ProcessingException
    Throws:
      `ProcessingException`